@REM ----------------------------------------------------------------------------
@REM Licensed to the Apache Software Foundation (ASF) under one or more
@REM contributor license agreements.  See the NOTICE file distributed with
@REM this work for additional information regarding copyright ownership.
@REM The ASF licenses this file to You under the Apache License, Version 2.0
@REM (the "License"); you may not use this file except in compliance with
@REM the License.  You may obtain a copy of the License at
@REM 
@REM      http://www.apache.org/licenses/LICENSE-2.0
@REM 
@REM Unless required by applicable law or agreed to in writing, software
@REM distributed under the License is distributed on an "AS IS" BASIS,
@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM See the License for the specific language governing permissions and
@REM limitations under the License.
@REM ----------------------------------------------------------------------------
@REM 

@Echo off

Rem Copy DIST to the repository
Rem %1 : artifact to copy
Rem %2 : project id

Set ARTIFACT=%1
Set ID=%2
Set User=%3
Set ARTIFACT_TYPE=distributions
Set REPO=login.ibiblio.org
Set DIR=/public/html/maven/%ID%/%ARTIFACT_TYPE%

echo %DIR%

Rem Make sure the target directory is present.
ssh %User%@%REPO% "mkdir -p %DIR%"

Rem Copy the artifact to the repository.
scp %ARTIFACT% %User%@%REPO%:%DIR%

Rem Make sure the perms are correct. Just in case
ssh %User%@%REPO% "chmod 664 %DIR%/%ARTIFACT%; chgrp maven %DIR%/%ARTIFACT%; cd %DIR%; md5sum %ARTIFACT% | sed 's/ .*$//' > %ARTIFACT%.md5"
