@REM ----------------------------------------------------------------------------
@REM Licensed to the Apache Software Foundation (ASF) under one or more
@REM contributor license agreements.  See the NOTICE file distributed with
@REM this work for additional information regarding copyright ownership.
@REM The ASF licenses this file to You under the Apache License, Version 2.0
@REM (the "License"); you may not use this file except in compliance with
@REM the License.  You may obtain a copy of the License at
@REM 
@REM      http://www.apache.org/licenses/LICENSE-2.0
@REM 
@REM Unless required by applicable law or agreed to in writing, software
@REM distributed under the License is distributed on an "AS IS" BASIS,
@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM See the License for the specific language governing permissions and
@REM limitations under the License.
@REM ----------------------------------------------------------------------------
@REM 

@Echo Off
Rem Deploy JAR to the repository
Rem %1 : artifact to copy, e.g. commons-jelly-tags-betwixt-1.0-beta5.jar
Rem %2 : group id, e.g. commons-jelly
Rem %3 : user id, e.g. diongillard

Set ARTIFACT=%1
Set GROUPID=%2
Set User=%3

Set ARTIFACT_TYPE=jars
Set REPO=login.ibiblio.org
Set DIR=/public/html/maven/%GROUPID%/%ARTIFACT_TYPE%

echo Uploading to %DIR%

Echo Making sure the target directory is present.
ssh %USER%@%REPO% "mkdir -p %DIR%"
Echo Ensuring directory permissions are ok.
ssh %USER%@%REPO% "chmod 775 %DIR%;chgrp maven %DIR%"
Echo Ensuring parent directory permissions are ok.
ssh %USER%@%REPO% "chmod 775 %DIR%/..; chgrp maven %DIR%/.."

Echo Copying the artifact to the repository.
scp %ARTIFACT% %USER%@%REPO%:%DIR%

Echo Making sure the perms are correct, and creating the .md5
ssh %USER%@%REPO% "chmod 664 %DIR%/%ARTIFACT%; chgrp maven %DIR%/%ARTIFACT%; cd %DIR%; md5sum %ARTIFACT% | sed 's/ .*$//' > %ARTIFACT%.md5"
Echo Making sure the perms are correct on the md5
ssh %USER%@%REPO% "chmod 664 %DIR%/%ARTIFACT%.md5; chgrp maven %DIR%/%ARTIFACT%.md5"
