package org.apache.maven;

/* ====================================================================
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements.  See the NOTICE file distributed with
 *   this work for additional information regarding copyright ownership.
 *   The ASF licenses this file to You under the Apache License, Version 2.0
 *   (the "License"); you may not use this file except in compliance with
 *   the License.  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

/**
 * The base class for all exceptions thrown by MavenSession.
 *
 * @version $Id: MavenException.java 517014 2007-03-11 21:15:50Z ltheussl $
 */
public class MavenException
    extends Exception
{

    /**
     * Generated serial version ID
     */
    private static final long serialVersionUID = 5162719944310719528L;

    /**
     * Creates a new instance of <code>MavenException</code> without detail
     * message.
     */
    public MavenException()
    {
        super();
    }

    /**
     * Constructs an instance of <code>MavenException</code> with the specified
     * detail message.
     *
     * @param msg the detail message.
     */
    public MavenException( String msg )
    {
        super( msg );
    }

    /**
     * Constructs an exception with the given message and exception as
     * a root cause.
     *
     * @param message A description of or information about the exception.
     *            Should not be <code>null</code> unless a cause is specified.
     * @param cause The exception that might have caused this one.
     *              May be <code>null</code>.
     */
    public MavenException( String message, Throwable cause )
    {
        super( message, cause );
    }

    /**
     * Constructs an exception with the given exception as a root cause.
     *
     * @param cause The exception that might have caused this one.
     *              Should not be <code>null</code>.
     */
    public MavenException( Throwable cause )
    {
        super( cause );
    }

    /**
     * Returns the nested exception, if any.
     *
     * @return the nested exception, or <code>null</code> if no
     *         exception is associated with this one
     */
    public Throwable getException()
    {
        return getCause();
    }
}
