package org.apache.maven.touchstone;

/* ====================================================================
 *   Copyright 2001-2005 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

import java.io.File;

import junit.framework.TestCase;

import org.apache.maven.MavenUtils;
import org.apache.maven.project.Project;

/**
 */
public class TouchstoneTest
     extends TestCase
{
    private String basedir = System.getProperty("basedir");

    /**
     * Constructor for TouchstoneTest.
     *
     * @param name test name
     */
    public TouchstoneTest(String name)
    {
        super(name);
    }

    /**
     * A unit test for JUnit
     */
    public void testTouchstone()
        throws Exception
    {
        Project p = MavenUtils.getProject( new File( basedir, "project.xml" ) );
        
        // A value that is specified in project.properties is interpolated into the
        // project.xml file so that when we access the connection value we get the
        // specified anonymous login name in the connection.
        assertEquals( "scm:cvs:pserver:testuser@cvs.apache.org:/home/cvspublic:jakarta-turbine-maven",
                      p.getRepository().getConnection() );  
        
        assertEquals( "touchstone-group", p.getGroupId() );
    }
}
